<!doctype html>
{% load static %}
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
          rel="stylesheet">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
  <link rel="stylesheet" href="{%static 'story8/animations.css'%}"/>
  <title>BookSearch</title>
</head>

<body>
<nav class="shadow navbar navbar-expand-lg navbar-dark justify-content-between sticky-top" style="background-color:rgba(39,54,74,0.2)">
    <a class="navbar-brand text-light" href="{% url 'story8:index' %}" >Spellbook Library</a>
  </nav>
<section class="registration-section d-flex justify-content-center align-items-center text-dark flex-column" style="height: 100vh;">
    {% if error %}
            <p class="text-center p-2 bg-danger rounded-lg">
                {{error}}
            </p>
            <p class="text-center p-2 bg-danger rounded-lg">
                * Password must be at least 9 Characters<br>
                * there must be at least 5 Letters<br>
                * it must include at least 1 Capital Letter and 1 Number
            </p>
    {% endif %}
    <form method="POST" action="{% url 'story9:register' %}" class="login-form bg-light rounded-lg d-flex flex-column justify-content-center p-4">
        <h3 class="text-center mb-3">Register</h3>
        {% csrf_token %}
        {{registering}}
        <button type="submit" id="btn_register" class="btn btn-dark" style="padding: 10px 30px; border:none; border-radius:100px 100px 100px 100px">Register</button>
    </form>

</section>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="{% static 'story8/searchengine.js' %}"></script>
</body>
</html>
